package riomhaire.lti;

import lombok.AllArgsConstructor;
import org.springframework.web.servlet.ModelAndView;
import riomhaire.lti.core.model.LTIMessage;
import riomhaire.lti.core.model.interfaces.ApplicationRegistry;
import riomhaire.lti.core.model.interfaces.ClientRegistrationResolver;
import riomhaire.lti.core.model.interfaces.CommandDispatcher;

@AllArgsConstructor
public class Registry implements ApplicationRegistry {

    private CommandDispatcher<ModelAndView, ApplicationRegistry, LTIMessage> commandDispatcher;
    private ClientRegistrationResolver clientRegistrationResolver;


    @Override
    public ClientRegistrationResolver clientRegistrationResolver() {
        return clientRegistrationResolver;
    }

    @Override
    public CommandDispatcher<ModelAndView, ApplicationRegistry, LTIMessage> commandDispatcher() {
        return commandDispatcher;
    }
}

